#include <iostream>

using namespace std;

int main(){
	int n, nn, sum = 0;
	/*
	n - исходное число
	nn - переменная для хранения цифр числа
	sum - сумма цифр исходного числа
	*/

	// ввод числа
	cout << "Input number: ";
	cin >> n;
	if ((abs(n) < 99) || (abs(n) > 999)){
		cout << "The number must be in three digits." << endl;
		return 0;
	}

	while (abs(n) > 0){ // работа цикла не отсановиться, пока n > 0
		nn = n % 10; // получение цифры с самого правого (минимального) разряда исходного числа
		sum = sum + nn; // добавление полученной цифры к новому числу
		n = n / 10; // уменьшение исходного числа для дальнейшей обработки по алгоритму
	}

	cout << "Sum of n's digits: " << sum << endl; // вывод результата на экран

	if (sum % 5 == 0){ // проверка на делимость без остатка
		cout << sum << " is divide by 5." << endl; // вывод результата на экран
	}
	else {
		cout << sum << " isn't divide by 5" << endl; // вывод результата на экран 
	}

	return 0; // завершение программы
}
